import request from "@/utils/request";
//数据大屏接口
//报故缺陷分布
export function getFaultBug(data: string) {
  return request({
    url: "/api/v1/process/census/fault/bug",
    method: "post",
    data,
  });
}
//报故统计
export function getFaultCount(data: string) {
  return request({
    url: "/api/v1/process/census/fault/count",
    method: "post",
    data,
  });
}
//报故处理跟踪
export function getFaultTrack(data: string) {
  return request({
    url: "/api/v1/process/census/fault/track",
    method: "post",
    data,
  });
}
//不合格品统计
export function getCensusNonconforming(data: string) {
  return request({
    url: "/api/v1/process/census/nonconforming",
    method: "post",
    data,
  });
}
//产品合格率
export function getQualifiedRate(data: string) {
  return request({
    url: "/api/v1/process/census/qualified/rate",
    method: "post",
    data,
  });
}
//工位任务分布
export function getStationTaskInfo() {
  return request({
    url: "/api/v1/process/census/stationTaskInfo",
    method: "post",
  });
}
//下线情况
export function getOffLineInfo() {
  return request({
    url: "/api/v1/process/census/productLineOffLineInfo",
    method: "post",
  });
}
